﻿// $Id: LinearTransform.frag 548 2012-01-12 13:40:55Z cr333 $
#extension GL_EXT_gpu_shader4 : enable

// input texture
uniform sampler2D input;

// linear transform parameters
uniform vec4 factor;
uniform vec4 offset;

void main()
{
	vec4 colour = texture2D(input, gl_FragCoord.xy / vec2(textureSize2D(input, 0)));
	gl_FragColor = factor * colour + offset;
}